Page MenuHomePhabricator

Can't search for orphan tasks in "projects: none" via main advanced search
Closed, DeclinedPublic

Description

https://phabricator.wikimedia.org/search/query/advanced/ offers no way to search for bugs which are missing a project. If I enter "none" or "None", the word is eaten and disappears immediately afterwards.

Event Timeline

Nemo_bis created this task.Nov 19 2014, 9:09 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Qgil closed this task as Resolved.Nov 19 2014, 11:23 AM
Qgil claimed this task.

You can use Maniphest's advanced search for this. It includes a checkbox for "Show only tasks with no projects".

https://phabricator.wikimedia.org/maniphest/query/RFEPiqxQuXUi/#R

Nemo_bis renamed this task from Can't search for orphan tasks in "projects: none" to Can't search for orphan tasks in "projects: none" via main advanced search.Nov 20 2014, 5:28 PM
Nemo_bis reopened this task as Open.

Thanks. Still, https://phabricator.wikimedia.org/search/query/advanced/ should be consistent. Either all fields allow "none", or none does.

Qgil triaged this task as Lowest priority.Nov 20 2014, 9:02 PM

Using Maniphest's advanced search for advanced Maniphest queries is consistent... We have discussed in many different tasks that Phabricator has advanced searches for each application, and that the general one is meant to be used for queries across different objects.

I still think that this is a minor, arguable detail. Proposing to Decline.

Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Qgil removed Qgil as the assignee of this task.Nov 27 2014, 6:59 AM
Qgil added a subscriber: Qgil.
Aklapper closed this task as Declined.Nov 27 2014, 2:01 PM
Aklapper claimed this task.

Main advanced search cannot and should not cover all potential situations that are specific to applications available in Maniphest, and I can imagine that the logic to update the displayed options on-the-fly based on the "Document Type" chosen would be rather complex, and instead showing all application-specific items and having them greyed out based on the "Document type" chosen would make the displayed search area huge, something that was already criticized in T76137.
I'm declining this as the design makes sense - for application-specific searches and getting those options that only make sense for that specific application, it is recommended to use the application-specific search.

Nemo_bis reopened this task as Open.Dec 8 2014, 6:45 PM
Nemo_bis added a subscriber: Aklapper.

for application-specific searches and getting those options that only make sense for that specific application, it is recommended to use the application-specific search.

What's application-specific in a search by project? If a search by project is application-specific, why is it in the general search? The general search should be *internally* consistent. Some fields allow "none" and some don't.

Qgil closed this task as Declined.Dec 8 2014, 10:10 PM

@Nemo_bis, you keep reopening this task because

https://phabricator.wikimedia.org/search/query/advanced/ should be consistent. Either all fields allow "none", or none does.

As we have seen in this discussion, Andre and me don't agree with this. We don't think this is a requirement, and we don't think we should file this request upstream in the name of Wikimedia. We are not going to hack Phabricator and maintain a local patch for this either. If you want to create a request upstream, you can do it at your own risk, and have this discussion with the maintainers directly.

I don't think there is anything left to be discussed here. If you want to watch orphans, save this query: https://phabricator.wikimedia.org/maniphest/query/RFEPiqxQuXUi/#R

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM